#include "argconfig.ih"

// no accept, long options, file,
// static

ArgConfig &ArgConfig::initialize(char const *optstring,
            LongOption const *begin, LongOption const *const end,
            int argc, char **argv,
            string const &fname,
            Comment cType, SearchCasing sType, Indices iType)
{
    if (s_argConfig)
        throw Exception{} << s_alreadyInitialized;

    return init("", optstring,
                begin, end,
                argc, argv,
                fname,
                cType, sType, iType);
}
